Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Std. Ed. v1.4.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.swing
Interface UIDefaults.ActiveValue

Enclosing interface:
  UIDefaults

public static interface UIDefaults.ActiveValue

This class enables one to store an entry in the defaults table that's constructed each time it's looked up with one of the `getXXX(key)` methods. Here's an example of an `ActiveValue` that constructs a `DefaultListCellRenderer`:

      Object cellRendererActiveValue = new UIDefaults.ActiveValue() {
          public Object createValue(UIDefaults table) {
              return new DefaultListCellRenderer();
          }
      };

      uiDefaultsTable.put("MyRenderer", cellRendererActiveValue);

See Also:
  `UIDefaults.get(java.lang.Object)`

Method Summary
`Object` | `createValue(UIDefaults table)` Creates the value retrieved from the `UIDefaults` table.

Method Detail

### createValue

    public Object createValue(UIDefaults table)

  Creates the value retrieved from the `UIDefaults` table. The object is created each time it is accessed.

  Parameters:
    `table` - a `UIDefaults` table
  Returns:
    the created `Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Std. Ed. v1.4.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
For further API reference and developer documentation, see Java 2 SDK SE Developer Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.

Java, Java 2D, and JDBC are trademarks or registered trademarks of Sun Microsystems, Inc. in the US and other countries.
Copyright 1993-2002 Sun Microsystems, Inc. 901 San Antonio Road
Palo Alto, California, 94303, U.S.A. All Rights Reserved.